server {

    listen 80;
    return 301 https://$host$request_uri;

}

server {

    listen 443 ssl;
    server_name _;

    ssl_certificate /etc/nginx/certs/nginx-server.crt;
    ssl_certificate_key /etc/nginx/certs/nginx-server.key;

    ssl_session_cache builtin:1000 shared:SSL:10m;
    ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
    ssl_ciphers HIGH:!aNULL:!eNULL:!EXPORT:!CAMELLIA:!DES:!MD5:!PSK:!RC4;
    ssl_prefer_server_ciphers on;

    location /api/data/ {
        proxy_pass http://data_service.cpe-ctfd-dev.com:2000/;
        proxy_http_version 1.1;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection 'upgrade';
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-Proto https;
        proxy_set_header X-Forwarded-For $remote_addr;
        proxy_set_header X-Forwarded-Host $remote_addr;
        proxy_cache_bypass $http_upgrade;
    }
}
